; Fenstersteuerung für Windows mit Autohotkey
; © 2018 Norbert Simon, https://nosi.der
; Frei nutzbar auf Basis der MIT-Lizenz
; Beschreibung des Skripts: http://buoa.de/wiki/fenster-per-tastenbefehl-auf-dem-monitor-positionieren

#Numpad0::
#0::
;#WinActivateForce
WinActivate  ; Aktuelles Fenster nehmen
WinGetActiveTitle, Titel
WinRestore, %Titel%
SysGet Mwa, MonitorWorkArea

Input, Lage, L1, {Enter}

; oben links
If (Lage = 7) 
    WinMove, %Titel%, , 0, 0, (MwaRight // 3), (MwaBottom // 3) 
; oben mitte
If (Lage = 8) 
    WinMove, %Titel%, , (MwaRight // 3), 0, (MwaRight // 3), (MwaBottom // 3)
; oben rechts
If (Lage = 9) 
    WinMove, %Titel%, , MwaRight - (MwaRight // 3), 0, (MwaRight // 3), (MwaBottom // 3)
; mitte links
If (Lage = 4) 
    WinMove, %Titel%, , 0, (MwaBottom // 3), (MwaRight // 3), (MwaBottom // 3)
; Mitte Mitte
If (Lage = 5) 
  WinMove, %Titel%, , (MwaRight // 3), (MwaBottom // 3), (MwaRight // 3), (MwaBottom // 3)
; Mitte rechts
If (Lage = 6) 
  WinMove, %Titel%, , MwaRight - (MwaRight // 3), (MwaBottom // 3), (MwaRight // 3), (MwaBottom // 3)
; unten links
If (Lage = 1) 
  WinMove, %Titel%, , 0, MwaBottom - (MwaBottom // 3), (MwaRight // 3), (MwaBottom // 3)
; unten Mitte
If (Lage = 2) 
  WinMove, %Titel%, , (MwaRight // 3), MwaBottom - (MwaBottom // 3), (MwaRight // 3), (MwaBottom // 3)
; unten rechts
If (Lage = 3) 
  WinMove, %Titel%, , MwaRight - (MwaRight // 3), MwaBottom - (MwaBottom // 3), (MwaRight // 3), (MwaBottom // 3)
; Mitte Mitte aber aufgezogen
If (Lage = 0) 
  WinMove, %Titel%, , (MwaRight // 4), (MwaBottom // 4), (MwaRight // 2), (MwaBottom // 2)
; Doppelte Höhe im Raster
If (Lage == "+")
{
    WinGetPos, wx, wy, wb, wh, A
    If (wy < (MwaBottom // 2))
        WinMove, %Titel%, , wx,wy,wb, MwaBottom - (MwaBottom // 3)
    else
     WinMove, %Titel%, , wx, (wy // 2),wb, MwaBottom - (MwaBottom // 3)
}
; Volle Höhe im Raster
If (Lage == "*")
{
    WinGetPos, wx, wy, wb, wh, A
    WinMove, %Titel%, , wx,0,wb, MwaBottom
}
; Halbe Breite im Raster
If (Lage == "/")
{
    WinGetPos, wx, wy, wb, wh, A
      If (wx < (MwaRight // 3))     ; Fenster liegt links, nach links verkleinern
        WinMove, %Titel%, , wx,wy,(wb // 2,wh)
      else
          If (wx < (MwaRight // 2))   ; Fenster liegt in der Mitte (bleibt da, schrumpt zentriert  
                WinMove, %Titel%, ,wx + (wb // 4),wy,(wb // 2),wh
           else    ; Fenster liegt rechts, schrumpft nach rechts
              WinMove, %Titel%, , wx + (wb // 2), wy,(wb // 2),wh
}
; Doppelte Breite im Raster
If (Lage == "-")
{
    WinGetPos, wx, wy, wb, wh, A
    If (wx < (MwaRight // 3))     ; Fenster liegt links, Ausdehnung rechts
        WinMove, %Titel%, , wx,wy,MwaRight - (MwaRight // 3),wh
    else
          If (wx < (MwaRight // 2))   ; Fenster liegt in der Mitte (bleibt da, wird breiter  
                WinMove, %Titel%, , (wx // 2),wy,MwaRight - (MwaRight // 3),wh
           else    ; Fenster liegt rechts, Ausehnung links
              WinMove, %Titel%, , (wx // 2), wy,MwaRight - (MwaRight // 3),wh
}
; Mitte Mitte doppelt hoch
If ((Lage == ",")  OR (Lage == "."))   ; abhängig von Tastatureinstellung beim Numpad
     WinMove, %Titel%, , (MwaRight // 3), (MwaBottom // 3), (MwaRight // 3), 2*(MwaBottom // 3)
; Mitte Mitte doppelt hoch und breit
If (Lage == "#")
    WinMove, %Titel%, , (MwaRight // 6) ,(MwaBottom // 3),(MwaRight // 6)*4,2*(MwaBottom // 3)   
Return